export const array2object = (list = [], k = "id", v) => {
  const data = {};
  if (list) {
    for (const item of list) {
      data[item[k]] = v ? item[v] : item;
    }
  }
  return data;
};

export const getStuName = () => {
  if (location.hostname.indexOf("dev") > -1) {
    return "https://dev.gym.lexiaoya.cn/mdaya";
  } else if (location.hostname.indexOf("test") > -1) {
    return "https://test.gym.lexiaoya.cn/mdaya";
  } else if (location.hostname.indexOf("localhost") > -1) {
    return "https://localhost:9001";
  } else {
    return "https://gym.lexiaoya.cn/mdaya";
  }
};
