const draggable = {
  inserted: function (el) {
    let wrap =  document.getElementsByClassName('app-main draggable-box')[0]
    el.style.cursor = 'move'
    let firstTime='',lastTime='';
    el.onmousedown = function (e) {

      el.setAttribute('data-flag',false)
      firstTime = new Date().getTime();
      let disx = e.pageX - el.offsetLeft
      let disy = e.pageY - el.offsetTop
      document.onmousemove = function (e) {


        let x = e.pageX - disx
        let y = e.pageY - disy
        let maxX = document.body.clientWidth - parseInt(window.getComputedStyle(el).width)
        let maxY = document.body.clientHeight - parseInt(window.getComputedStyle(el).height)


        if (x < 0) {
          x = 0
        } else if (x > maxX) {
          x = maxX
        }

        if (y < 150) {
          y = 150
        } else if (y > maxY) {
          // y = maxY
        }

        if(x>wrap.offsetWidth-35){
          x = wrap.offsetWidth-35
        }
        if(y>wrap.offsetHeight-94){
          y=wrap.offsetHeight-94
        }
        el.style.left = x + 'px'
        el.style.top = y + 'px'
        lastTime = new Date().getTime();
        if( (lastTime - firstTime) < 200){
          el.setAttribute('data-flag',true)
          wrap.style.userSelect ='none'
          }
      }
      document.onmouseup = function () {
        wrap.style.userSelect ='auto'
        document.onmousemove = document.onmouseup = null
      }
    }
  },
}
export default draggable
