import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'

export function getHomePageList (data) {
  return request({
    url: api + '/webCurseHomework/queryHomePage',
    method: 'get',
    params: data
  })
}

// export function batchUpdateAdviser (data) {
//   return request({
//     url: api + '/studentManage/batchUpdateAdviser',
//     method: 'post',
//     data: qs.stringify(data)
//   })
// }


// 获取练习详情
export function findCourseHomeworkDetail (data) {
  return request({
    url: api + '/teacher/findCourseHomeworkDetail',
    method: 'get',
    params: data
  })
}


// 获取学生列表
export function getHomeworkStudent (data) {
  return request({
    url: api + '/teacher/findCourseStudentsPublic/v2',
    method: 'post',
    data,
    requestType: "json"

  })
}

// 获取课程声部

export function getHomeworkSubjectPublic (data) {
  return request({
    url: api + '/teacher/findCourseStudentsSubjectPublic/v2',
    method: 'post',
    data,
    requestType: "json"

  })
}
