import request from '@/utils/request'
import request2 from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'
// 查询网管课价格
export function getPracticePriceList(data) {
  return request2({
    url: api + '/practiceGroupSellPrice/list',
    method: 'get',
    params: data
  })
}

// 修改网管课价格

export function resetPracticePriceList(data) {
  return request2({
    url: api + '/practiceGroupSellPrice/update',
    method: 'post',
    data: data,
    requestType:'form'
  })
}

// 新增网管课价格
export function addPracticePriceList(data) {
  return request2({
    url: api + '/practiceGroupSellPrice/add',
    method: 'post',
    data: data,
    requestType:'form'
  })
}

// 删除网管课价格

export function delPracticePriceList(data) {
  return request2({
    url: api + '/practiceGroupSellPrice/del',
    method: 'post',
    data: data,
    requestType:'form'
  })
}
