import request2 from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'

export function getMusicGroupPlanMakingList(data) {
  return request2({
    url: api + '/musicGroupPlanMaking/queryAll',
    method: 'get',
    requestType:'form'
  })
}

export function addMusicGroupPlanMaking(data) {
  return request2({
    url: api + '/musicGroupPlanMaking/add',
    method: 'post',
    data
  })
}

export function updateMusicGroupPlanMaking(data) {
  return request2({
    url: api + '/musicGroupPlanMaking/update',
    method: 'post',
    data
  })
}


// 根据编制id 查默认声部
export function getMusicGroupPlanMakingDetail(data) {
  return request2({
    url: api + '/musicGroupPlanMaking/query',
    method: 'get',
    requestType:'form',
    params:data
  })
}
