import request2 from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'
// 新增优惠券
export const addSysCoupon = data => request2({
  url: '/api-web/sysCoupon/add',
  data,
  method: 'post',
  requestType: 'form'
})

// 修改优惠券
export const resetSysCoupon = data => request2({
  url: '/api-web/sysCoupon/updateCoupon',
  data,
  method: 'post',
  requestType: 'form'
})

// 分页查询优惠券
export const getSysCoupon = data => request2({
  url: '/api-web/sysCoupon/queryPage',
  data,
  params: data,
  method: 'get',
})

// 删除优惠券
export const delSysCoupon = data => request2({
  url: '/api-web/sysCoupon/delete',
  data,
  method: 'post',
  requestType: 'form'
})

// 获取详情列表
export const getSysCouponCode = data => request2({
  url: '/api-web/sysCouponCode/queryPage',
  data,
  params: data,
  method: 'get',
})
// 新
// 手动发放优惠券
export const getIssueCoupon = data => request2({
  url: '/api-web/sysCouponIssue/issueCoupon',
  data,
  method: 'post',
})

// 优惠券发放名单
export const getIssueRecord = data => request2({
  url: '/api-web/sysCouponIssue/queryIssueRecord',
 data,
  method: 'post',
})

// 优惠卷发放详情
export const getIssueRecordDetail = data => request2({
  url: '/api-web/sysCouponIssue/queryIssueDetail',
 data,
  method: 'post',
})

// 查询发放优惠券使用情况
export const checkRevoke = data => request2({
  url: '/api-web/sysCouponIssue/checkRevoke',
 data,
  method: 'post',
})

// 撤销发放
export const revokeCoupon = data => request2({
  url: '/api-web/sysCouponIssue/revokeCoupon',
 data,
  method: 'post',
})
