import request from "@/utils/request2";
/** 课件列表 */
export const lessonCoursewarePage = data =>
  request({
    url: "/api-web/lessonCourseware/queryPage",
    data,
    method: "post"
  });

/** 获取已添加的课件编号 */
export const queryLessonCoursewareId = data =>
  request({
    url: "/api-web/lessonCourseware/queryLessonCoursewareId",
    data,
    method: "post"
  });

/** 分页查询已添加的课件 */
export const queryLessonCourseware = data =>
  request({
    url: "/api-web/lessonCourseware/queryLessonCourseware",
    data,
    method: "post"
  });

/** 批量删除已添加的课件 */
export const deleteLessonCourseware = data =>
  request({
    url: "/api-web/lessonCourseware/deleteLessonCourseware",
    data,
    method: "post"
  });
/** 启用、停用课件 */
export const updateEnableFlag = data =>
  request({
    url: "/api-web/lessonCourseware/updateEnableFlag",
    params: data,
    method: "get"
  });

/** 修改课件声部 */
export const updateSubject = data =>
  request({
    url: "/api-web/lessonCourseware/updateSubject",
    params: data,
    method: "get"
  });
/** 添加课件声部 */
export const addLessonCourseware = data =>
  request({
    url: "/api-web/lessonCourseware/addLessonCourseware",
    data,
    method: "post"
  });
/** 修改适用范围 */
export const api_updateRangeType = data =>
  request({
    url: "/api-web/lessonCourseware/updateRangeType",
    data,
    method: "post"
  });
/** 获取课件适用范围详情 */
export const api_getRangeType = data =>
  request({
    url: "/api-web/lessonCourseware/getRangeType",
    params: data,
    method: "get"
  });
