import request from '@/utils/request2'
// 获取练习营列表
export const getTrainingCampList = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/queryPageTrainingCamp',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 新建
export const addTrainingCamp = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/add',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 修改
export const resetTrainingCamp = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/update',
    method: 'post',
    data,
    requestType: 'json',
  })
}
// 显示隐藏
export const tempLittleArtistTrainingCampEnable = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/enable/' + data,
    method: 'get'
  })
}

// 删除
export const delTrainingCamp = data => {
  return request({
    url: `/api-web/tempLittleArtistTrainingCamp/delete/${data}`,
    method: 'get',
  })
}


// 参与名单
export const getTrainingCampUser = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/queryPageTrainingCampUser',
    method: 'post',
    data,
    requestType: 'json',
  })
}


// 练习营详情
export const getUserTrainingDetail = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/queryUserTrainingDetail',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 获取练习营群组
export const getCampImGroup = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/queryCampImGroup',
    method: 'get',
    data,
    params:data

  })
}


// 获取学生打卡记录
export const getUserTrainingTime = data => {
  return request({
    url: '/api-web/tempLittleArtistTrainingCamp/queryUserTrainingTime',
    method: 'post',
    data,
  })
}


