import request2 from '@/utils/request2'

export const tenantOrderRecordQueryPage = (data) => request2({
  url: '/api-web/tenantOrderRecord/queryPage',
  method: 'post',
  data,
})

export const cloudTeacherOrderQueryActive = (data) => request2({
  url: '/api-web/cloudTeacherOrder/queryActive',
  method: 'post',
  data,
})
export const queryActiveRecord = (data) => request2({
  url: '/api-web/cloudTeacherOrder/queryActiveRecord',
  method: 'post',
  data,
})

// 扣费记录
export const tenantCloudCourseRecord = (data) => request2({
  url: '/api-web/tenantCloudCourseRecord/queryPage',
  method: 'post',
  data,
})

export const tenantContractTemplateAdd = (data) => request2({
  url: '/api-web/tenantContractTemplate/add',
  requestType: 'form',
  method: 'post',
  data
})

export const tenantContractTemplateList = (data) => request2({
  url: '/api-web/tenantContractTemplate/list',
  method: 'get',
  params: data,
})

export const tenantContractTemplateQuery = (data) => request2({
  url: '/api-web/tenantContractTemplate/query',
  method: 'get',
  params: data,
})

export const updateStatus = (data) => request2({
  url: '/api-web/tenantContractTemplate/updateStatus',
  method: 'post',
  requestType: 'form',
  data,
})