import request from "@/utils/request";
import request2 from "@/utils/request2";
import qs from "qs";
let api = "/api-web";

export function operationLog(data) {
  return request2({
    url: api + `/operationLog/save`,
    method: "GET",
    params: data,
    data: {}
  });
}

/**
 * 发送验证码
 * @param {*} data
 * @returns
 */
export function sendSmsCode(data) {
  return request2({
    url: api + `/code/sendSmsCode`,
    method: "POST",
    requestType: "form",
    data: data
  });
}
