import request from '@/utils/request2'

export function marketActivityAdd (data) {
    return request({
        url: '/api-web/marketActivity/add',
        method: 'post',
        data,
        requestType: 'form'
    })
}

export function marketActivityUpdate (data) {
    return request({
        url: '/api-web/marketActivity/update',
        method: 'post',
        data,
        requestType: 'form'
    })
}

export function marketActivityGet (data) {
    return request({
        url: '/api-web/marketActivity/get',
        method: 'get',
        params: data
    })
}

export function marketActivityQueryPage (data) {
    return request({
        url: '/api-web/marketActivity/queryPage',
        method: 'get',
        params: data
    })
}

// 双十一活动列表
export function getDoubleElevenList (data) {
  return request({
      url: '/api-web/vipGroupActivity/organDoubleEleven2021Statis',
      method: 'get',
      params: data
  })
}
// 双十一分部详情列表
export function getDoubleElevenDetail (data) {
  return request({
      url: '/api-web/vipGroupActivity/doubleEleven2021OrderDetail',
      method: 'get',
      params: data
  })
}

// 2022 双十一活动列表
export function getDoubleElevenList2022 (data) {
  return request({
      url: '/api-web/vipGroupActivity/organDoubleEleven2022Statis',
      method: 'get',
      params: data
  })
}
// 2022 双十一分部详情列表
export function getDoubleElevenDetail2022 (data) {
  return request({
      url: '/api-web/activity/organDoubleEleven2022Statis',
      method: 'get',
      params: data
  })
}
