import request from '@/utils/request2'
// 获取商品列表
export const getLiveGoodsMapperList = data => {
  return request({
    url: '/api-web/liveGoods/page',
    method: 'post',
    data,
    requestType:'form'
  })
}

// 新建直播商品
export const addLiveGoods = data => {
  return request({
    url: '/api-web/liveGoods/add',
    method: 'post',
    data,
    requestType: 'json',
  })
}


// 修改直播商品
export const resetLiveGoods = data => {
  return request({
    url: '/api-web/liveGoods/update',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 删除
export const delLiveGoods = data => {
  return request({
    url: '/api-web/liveGoods/delete',
    method: 'post',
    data,
    requestType:'form'
  })
}
