import request2 from '@/utils/request2'
export const getCourseType = data => request2({
  url: '/api-web/musicGroupTrainPlan/queryCourseType',
  data: data,
  params: {},
  method: 'post',
  requestType:'json'

})
//   requestType: 'form'

// 获取练习次数
export const getPlanCourseNum = data => request2({
  url: '/api-web/musicGroupTrainPlan/queryPlanCourseNum',
  data: data,
  params: {},
  method: 'post',
  requestType:'json'

})

// 获取练习时长
export const getMusicGroupTrainPlan = data => request2({
  url: '/api-web/musicGroupTrainPlan/queryPlanPage',
  data: data,
  params: {},
  method: 'post',
  requestType:'json'

})

// 新增乐团练习规划
export const addMusicGroupTrainPlan = data => request2({
  url: '/api-web/musicGroupTrainPlan/add',
  data: data,
  params: {},
  method: 'post',
  requestType:'json'

})

// 修改乐团练习规划
export const resetMusicGroupTrainPlan = data =>request2({
  url: '/api-web/musicGroupTrainPlan/update',
  data: data,
  params: {},
  method: 'post',
  requestType:'form'
})

// 删除乐团练习 musicGroupTrainPlan/del
export const deteleMusicGroupTrainPlan = data =>request2({
  url: '/api-web/musicGroupTrainPlan/del',
  data: data,
  params: {},
  method: 'post',
  requestType:'form'
})

// 获取乐团练习规划异常规划
export const getExceptionPlan = data => request2({
  url: '/api-web/musicGroupTrainPlan/queryExceptionPlan',
  data: data,
  params: {},
  method: 'post',
  requestType:'json'

})

// 获取乐团档案基本信息
export const getBasicInfo = data => request2({
  url: '/api-web/musicGroupRecord/queryBasicInfo',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 查询学员 师资
export const getStudentAndTeacher = data => request2({
  url: '/api-web/musicGroupRecord/queryStudentAndTeacher',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 查询学员列表
export const getStudentList = data => request2({
  url: '/api-web/musicGroupRecord/queryStudentInfo',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 获取练习情况
export const getHomeworkStat = data => request2({
  url: '/api-web/exercisesSituation/musicGroupHomeworkStat',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 查询乐团资讯
export const getMusicGroupNews = data => request2({
  url: '/api-web/musicGroupNews/queryPage',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 新增乐团资讯
export const addMusicGroupNews = data => request2({
  url: '/api-web/musicGroupNews/add',
  data: data,
  params: {},
  method: 'post',
  requestType:'form'

})

// 修改乐团资讯
export const resetMusicGroupNews = data => request2({
  url: '/api-web/musicGroupNews/update',
  data: data,
  params: {},
  method: 'post',
  requestType:'form'

})

// 删除乐团资讯
export const delMusicGroupNews = data => request2({
  url: '/api-web/musicGroupNews/del',
  data: data,
  params: {},
  method: 'post',
  requestType:'form'

})

// 查询问卷调查
export const getMusicGroupQuestionnaire = data => request2({
  url: '/api-web/musicGroupQuestionnaire/queryPage',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 获取调查问卷题目详情
export const getQuestionDetail = data => request2({
  url: '/api-web/musicGroupQuestionnaire/getQuestionDetail',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 新增问卷
export const addQuestion = data => request2({
  url: '/api-web/musicGroupQuestionnaire/add',
  data,
  method: 'post',
  requestType:'json'

})

// 获取问卷详情
export const getMusicGroupQuestionnaireDetail = data => request2({
  url: '/api-web/musicGroupQuestionnaire/get',
  data ,
  params:data,
  method: 'get',
  requestType:'form'

})

// 修改问卷详情
export const resetQuestion = data => request2({
  url: '/api-web/musicGroupQuestionnaire/update',
  data,
  method: 'post',
  requestType:'json'

})
// 删除问卷
export const delQuestion = data => request2({
  url: '/api-web/musicGroupQuestionnaire/del',
  data,
  method: 'post',
  requestType:'form'

})


// 获取展演信息
export const musicGroupPerformanceQueryPage = data => request2({
  url: '/api-web/musicGroupPerformance/queryPage',
  data,
  method: 'post',
  requestType: 'form'
})

// 添加展演信息
export const musicGroupPerformanceAdd = data => request2({
  url: '/api-web/musicGroupPerformance/add',
  data,
  method: 'post',
})

// 修改展演信息
export const musicGroupPerformanceUpdate = data => request2({
  url: '/api-web/musicGroupPerformance/update',
  data,
  method: 'post',
})

// 删除展演信息
export const musicGroupPerformanceDel = data => request2({
  url: '/api-web/musicGroupPerformance/del',
  data,
  method: 'post',
  requestType: 'form'
})


// 修改学生端是否可见
export const settingStudentIsShow = data => request2({
  url: '/api-web/musicGroupRecord/settingStudentIsShow',
  data,
  method: 'post',
  requestType: 'form'
})
