import request2 from '@/utils/request2'

export const getSchoolStaff = data => request2({
  url: '/api-web/schoolStaff/page',
  data,
  method: 'post',
})


// 启用停用
export const schoolStaffUpdate = data => request2({
  url: '/api-web/schoolStaff/update',
  data,
  method: 'post',
})

// 删除
export const schoolStaffRemove = data => request2({
  url: '/api-web/schoolStaff/remove',
  data,
  params:data,
  method: 'post',
})
// 重置密码
export const schoolStaffResetPwd = data => request2({
  url: '/api-web/schoolStaff/resetPassword',
  data,
  params:data,
  method: 'post',
})


// 巡堂列表
export const getCoursePatrolEvaluation = data => request2({
  url: '/api-web/coursePatrolEvaluation/webPage',
  data,
  // params:data,
  method: 'post',
})


// 巡堂详情
export const getCoursePatrolDetail = data => request2({
  url: `/api-web/coursePatrolEvaluation/detail/${data}`,
  data,
  // params:data,
  method: 'get',
})


// 处理意见
export const submitCoursePatrolEvaluation = data => request2({
  url: `/api-web/coursePatrolEvaluation/update`,
  data,
  // params:data,
  method: 'post',
})


// 修改账户
export const updateAccount = data => request2({
  url: `/api-web/schoolStaff/updateAccount`,
  data,
  // params:data,
  method: 'post',
})
