import request2 from '@/utils/request2'

// 关闭乐团前获取学员列表
export const getMusicGroupStuReBack = data => request2({
  url: '/api-web/studentRegistration/getMusicGroupStuReBack',
  params: data,
  method: 'get',
})

// 填加学员接口
export const addMusicGroupRegs = data => request2({
  url: '/api-web/musicGroup/addMusicGroupRegs',
  data,
  method: 'post',
  requestType: 'json'
})

// 删除学员
export const delStudentRegistration = data => request2({
  url: '/api-web/studentRegistration/del',
  data,
  method: 'post',
  requestType: 'json'
})

// 删除学员
export const batchDelStudentRegistration = data => request2({
  url: '/api-web/studentRegistration/batchDel',
  data,
  method: 'post',
  requestType: 'json'
})

// 关闭乐团
export const closeMusicGroup = data => request2({
  url: '/api-web/musicGroup/closeMusicGroup',
  data,
  method: 'post',
  requestType: 'json'
})

// 开启缴费
export const finishPreApply = data => request2({
  url: '/api-web/musicGroup/finishPreApply',
  data,
  method: 'post',
  requestType: 'form'
})

// 预报名列表
export const queryPreApplyList = data => request2({
  url: '/api-web/studentRegistration/queryPreApplyList',
  params: data,
  method: 'get',
  requestType: 'json'
})

// 时间数据统计列表
export const getRegisterOrPreList = data => request2({
  url: '/api-web/studentRegistration/getRegisterOrPreList',
  params: data,
  method: 'get',
  requestType: 'json'
})

// 解除预约限制 studentRegistration/setNoneCloudTeacher
export const setNoneCloudTeacher = data => request2({
  url: '/api-web/studentRegistration/setNoneCloudTeacher',
  params: data,
  method: 'get',
  requestType: 'json'
})
// 拒绝审核
export const setCloudTeacherToFailed = data => request2({
  url: '/api-web/studentRegistration/setCloudTeacherToFailed',
  params: data,
  method: 'post',
  requestType: 'json'
})

// 意向列表
export const queryPreApplySubjectList = data => request2({
  url: '/api-web/studentRegistration/queryPreApplySubjectList',
  params: data,
  method: 'get',
  requestType: 'json'
})

// 发送家长会通知
export const sendParentMeetingNotice = data => request2({
  url: '/api-web/musicGroup/sendParentMeetingNotice',
  data,
  method: 'post',
  requestType: 'form'
})

// 启蒙课问卷列表
export const getMusicEnlighList = data => request2({
  url: '/api-web/musicEnlightenmentQuestionnaire/queryPage',
  params: data,
  method: 'get',
  requestType: 'form'
})

export const getMusicEnlighListDetail = data => request2({
  url: '/api-web/musicEnlightenmentQuestionnaire/musicEnlightenmentQuestionnaireStat',
  params: data,
  method: 'get',
  requestType: 'form'
})

// 获取短信推送模板
export const getSysMessageConfig = data => request2({
  url: '/api-web/sysMessageConfig/getWithType',
  params: data,
  method: 'get',
  requestType: 'form'
})

// 发送启蒙短信
export const sendEnlighParentMeetingNotice = data => request2({
  url: '/api-web/musicEnlightenmentQuestionnaire/sendParentMeetingNotice',
  params: data,
  method: 'post',
  requestType: 'form'
})
